LocationMessageController = {}

function LocationMessageController:new(location_message, location_manager)
  obj = {location_message = location_message, location_manager = location_manager}
  setmetatable(obj, self)
  self.__index = self
  return obj
end

function LocationMessageController:on_incoming_button_pressed()
  if (self.location_manager:player_in_valid_zone()) then
    self.location_message:create_incoming_message(self.location_manager:current_location())
  end
end

function LocationMessageController:on_all_clear_button_pressed()
  if (self.location_manager:player_in_valid_zone()) then
    self.location_message:create_all_clear_message(self.location_manager:current_location())
  end
end

function LocationMessageController:on_zone_changed()
 
	-- Toggling the UI panel on and off.
	if Incoming_UILoadedSW == 0 then
		 -- Panel already on at this point so set the switch to 1.
		 Incoming_UILoadedSW = 1;
		 LocationMessageView:Show();
		 ChatFrame1:AddMessage("[Incoming] Loaded use /inc ? for command listing");
	else
			-- Panel must be set to 1 meaning it is on. Set switch to 0 and hide the panel.			
			Incoming_UILoaded = 0;
			LocationMessageView:Hide();
			ChatFrame1:AddMessage("[Incoming] Unloaded\rType /inc to re-enable");
	end
end
